// 菜单语言适配
let menuObj = {
  个人中心: 'Home Page',
  工作台: 'My Work',

  试验管理: 'Study',

  表单管理: 'Record',
  非试验表单: 'Non-study',
  麻精药表单: 'Controlled Drug',

  资源库管理: 'Resources',
  试剂管理: 'ReagentManage',
  供试品管理: 'SpecimenManage',
  给药制剂管理: 'DoseManage',
  麻精药管理: 'DrugManage',
  钥匙管理: 'KeyManage',
  仪器管理: 'InstrumentManage',

  档案管理: 'Archive',
  试验档案管理: 'Study Archive',
  非试验档案管理: 'Non-study Archive',
  麻精药配置档案管理: 'Controlled Drug Formulation',
  供试品档案管理: 'Test Item Archive',
  给药制剂档案管理: 'Dose Formulation Archive',
  麻精药档案管理: 'Controlled Drug Archive',
  试剂档案管理: 'Reagent Archive',
  档案记录: 'Archive Log',

  系统管理: 'System',
  菜单管理: 'Menu',
  角色管理: 'Role',
  用户管理: 'User',
  '部门/学科管理': 'Dep & Dis',
  模板管理: 'Function',
  字典管理: 'Term Book',
  日志管理: 'Log'
}
export function getMenuName(menuName) {
  if (!this.$i18n.locale || this.$i18n.locale === 'zh_CN') {
    return menuName
  }
  if (menuName.indexOf(':') > -1) {
    return menuObj[menuName.split(':')[0]] + menuName.split(':')[1]
  }
  return menuObj[menuName] || menuName
}
